# Latin_Sentiment_Lexicons
This repository contains a new set of sentiment lexicons of Latin adjectives and nouns which content is summarized in the table below.
- *cross-lingual-projection.tsv* was generated using a cross-language projection method starting from the English lexicon by [Cho et al. (2014)](https://www.sciencedirect.com/science/article/pii/S0950705114002196 "Cho et al. (2014)").
- *induction-kNN.tsv* was induced from distributed vector representations of words with [a k-NN algorithm implementation](https://github.com/WladimirSidorenko/SentiLex "a k-NN algorithm implementation") [(Sidarenka, 2019)](https://publishup.uni-potsdam.de/frontdoor/index/index/docId/43742 "(Sidarenka, 2019)").
- *gold_3classes.tsv* and *gold_5classes.tsv* were created by two experts of Latin language and culture following a multi-stage process and an extensive reconciliation phase. In the first each entry has 1 out of 3 possible score: positive, negative, neutral. The second has a five-way classification: 1 (fully positive), 0.5 (somewhat positive), 0 (neutral), -0.5 (somewhat negative), -1 (fully negative).
- *silver.tsv* was built by deriving new lexicon entries through synonym, antonym and derivational relations with the entries in the gold standard. Synonyms and antonyms were taken from the [Latin dictionary compiled by Skřivan (1890)](https://github.com/nikita-moor/latin-dictionary/tree/master/Skrivan1890 "Latin dictionary compiled by Skřivan (1890)"). Derivational relations were extracted from the database of [Word Formation Latin](http://wfl.marginalia.it/ "Word Formation Latin"). Graphical variants of lemmas present in the gold standard were added to the silver standard as well.